Texa Desk Application API · Custom attributes
List all custom attributes in an account
GET/
Get details of custom attributes in an Account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
attribute_modelstringrequiredconversation_attribute(0)/contact_attribute(1)
Responses
200Success
idintegerIdentifier
attribute_display_namestringAttribute display name
attribute_display_typestringAttribute display type (text, number, currency, percent, link, date, list, checkbox)
attribute_descriptionstringAttribute description
attribute_keystringAttribute unique key value
regex_patternstringRegex pattern
regex_cuestringRegex cue
attribute_valuesstringAttribute values
attribute_modelstringAttribute type(conversation_attribute/contact_attribute)
default_valuestringAttribute default value
created_atstringThe date and time when the custom attribute was created
updated_atstringThe date and time when the custom attribute was updated
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring